import { html as m } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (n, t, r, i) => {
  for (var e = i > 1 ? void 0 : i ? v(t, r) : t, s = n.length - 1, l; s >= 0; s--)
    (l = n[s]) && (e = (i ? l(t, r, e) : l(e)) || e);
  return i && e && h(t, r, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--pinAtHomeFilled", this.class = "c-pieIcon c-pieIcon--pinAtHomeFilled", this.name = "IconPinAtHomeFilled";
  }
  render() {
    return m`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--pinAtHomeFilled"><path d="M8.875 2.304a1.75 1.75 0 0 0-1.75.008 43 43 0 0 0-5.819 4.813l.91.875s.298-.289.753-.7v6.571H13.03V7.335c.455.411.744.691.753.7l.875-.945a43 43 0 0 0-5.784-4.786m-3.5 8.32a.875.875 0 1 1 0-1.75.875.875 0 0 1 0 1.75m2.625 0a.875.875 0 1 1 0-1.75.875.875 0 0 1 0 1.75m2.625 0a.875.875 0 1 1 0-1.75.875.875 0 0 1 0 1.75"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  f("icon-pin-at-home-filled")
], o);
export {
  o as IconPinAtHomeFilled
};
